## noris-nagios-netscreen-plugins 0.2-12

=== Makefile ===
build:

install:
	sed -e 's#usr/local/nagios/libexec#usr/lib/nagios/plugins#g' check_netscreen_cpu > ${DESTDIR}/usr/lib/nagios/plugins/check_netscreen_cpu
	sed -e 's#usr/local/nagios/libexec#usr/lib/nagios/plugins#g' check_netscreen_mem > ${DESTDIR}/usr/lib/nagios/plugins/check_netscreen_mem
	sed -e 's#usr/local/nagios/libexec#usr/lib/nagios/plugins#g' check_netscreen_vpn > ${DESTDIR}/usr/lib/nagios/plugins/check_netscreen_vpn
	sed -e 's#usr/local/nagios/libexec#usr/lib/nagios/plugins#g' check_netscreen_session > ${DESTDIR}/usr/lib/nagios/plugins/check_netscreen_session
	cp check_netscreen_policy_vsys ${DESTDIR}/usr/lib/nagios/plugins/check_netscreen_policy_vsys
	cp check_netscreen_vpn_vsys ${DESTDIR}/usr/lib/nagios/plugins/check_netscreen_vpn_vsys
	cp check_netscreen_cpu_5min ${DESTDIR}/usr/lib/nagios/plugins/check_netscreen_cpu_5min
	chmod 755 ${DESTDIR}/usr/lib/nagios/plugins/*
	cp debian/netscreen.cfg ${DESTDIR}/etc/nagios-plugins/config/netscreen.cfg

clean:
	rm -f *-stamp

=== debian/changelog ===
noris-nagios-netscreen-plugins (0.2-12) lenny; urgency=low

  * corrected Makefile

 -- Katharina Drexel <katharina.drexel@noris.de>  Fri, 14 Jan 2011 11:00:51 +0100

noris-nagios-netscreen-plugins (0.2-11) stable; urgency=low

  * added check_netscreen_cpu_5min (#10603534) 

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 13 Jan 2011 14:49:38 +0100

noris-nagios-netscreen-plugins (0.2-10) stable; urgency=low

  * reorganized the whole package (uff)

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 01 Jun 2010 13:26:54 +0200

noris-nagios-netscreen-plugins (0.2-9) stable; urgency=low

  * reorganized some files

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 01 Jun 2010 13:10:52 +0200

noris-nagios-netscreen-plugins (0.2-8) stable; urgency=low

  * added check_netscreen_vpn_vsys 

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 01 Jun 2010 13:01:23 +0200

noris-nagios-netscreen-plugins (0.2-7) stable; urgency=low

  * check_netscreen_cpu (only 1 arg) => problems with new monitor1 

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 12 Nov 2009 11:42:44 +0100

noris-nagios-netscreen-plugins (0.2-6) stable; urgency=low

  * join 2 args to 1  

 -- Katharina Drexel <katharina.drexel@noris.de>  Fri, 16 Oct 2009 16:55:40 +0200

noris-nagios-netscreen-plugins (0.2-5) stable; urgency=low

  * make check_netscreen_mem work for both monitors

 -- Katharina Drexel <katharina.drexel@noris.de>  Fri, 16 Oct 2009 16:32:07 +0200

noris-nagios-netscreen-plugins (0.2-4) stable; urgency=low

  * check_netscreen_session.cfg veraendert 

 -- Katharina Drexel <katharina.drexel@noris.de>  Fri, 21 Aug 2009 16:40:04 +0200

noris-nagios-netscreen-plugins (0.2-2) stable; urgency=low

  * check_netscreen_mem.cfg veraendert 

 -- Katharina Drexel <katharina.drexel@noris.de>  Fri, 21 Aug 2009 16:32:29 +0200

noris-nagios-netscreen-plugins (0.2-1) stable; urgency=low

  * corrected some things

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 03 Aug 2009 12:43:44 +0200

noris-nagios-netscreen-plugins (0.2-0.4) stable; urgency=low

  * new version of check_netscreen_policy_vsys

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 23 Jun 2009 08:36:52 +0200

noris-nagios-netscreen-plugins (0.2-0.3) stable; urgency=low

  * edit netscreen.conf

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed, 17 Jun 2009 10:47:41 +0200

noris-nagios-netscreen-plugins (0.2-0.2) lenny; urgency=low

  * added check_netscreen_policy_vsys (RT#520256)

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 16 Jun 2009 11:33:14 +0200

noris-nagios-netscreen-plugins (0.1-2.1) lenny; urgency=low

  * lenny statt stable

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 28 Apr 2009 11:33:01 +0200

noris-nagios-netscreen-plugins (0.1-2) stable; urgency=low

  * Improved configfile netscreen.cfg
  * Cleanups in Makefile and debian/rules.
  * Added example.
  * Marked as stable.

 -- Hardy Kestin <hardy@noris.net>  Tue, 17 Oct 2006 14:56:42 +0200

noris-nagios-netscreen-plugins (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Hardy Kestin <hardy@noris.net>  Tue, 17 Oct 2006 14:06:02 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	#docbook-to-man debian/nagios-netscreen-plugins.sgml > nagios-netscreen-plugins.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/nagios-netscreen-plugins.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/noris-nagios-netscreen-plugins


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
#	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## noris-nagios-netscreen-plugins 6.1-2

=== debian/changelog ===
noris-nagios-netscreen-plugins (6.1-2) wheezy; urgency=low

  * First Build for wheezy 

 -- Katharina Drexel <kdrexel@noris.de>  Tue, 04 Dec 2012 15:49:30 +0100

noris-nagios-netscreen-plugins (6.1-1) squeeze; urgency=low

  * First Build for squeeze

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 24 Feb 2011 17:16:44 +0100

## noris-nagios-netscreen-plugins 6.1-4

=== debian/changelog ===
noris-nagios-netscreen-plugins (6.1-4) squeeze; urgency=low

  * file rights 

 -- Katharina Drexel <kdrexel@noris.de>  Wed, 20 Nov 2013 17:23:27 +0100

noris-nagios-netscreen-plugins (6.1-3) squeeze; urgency=low

  * +new checks (#15161547) 

 -- Katharina Drexel <kdrexel@noris.de>  Wed, 20 Nov 2013 17:07:56 +0100

noris-nagios-netscreen-plugins (6.1-2) squeeze; urgency=low

  * +palo licence check 

 -- Katharina Drexel <kdrexel@noris.de>  Wed, 15 May 2013 10:56:18 +0200

=== debian/control ===
Source: noris-nagios-netscreen-plugins
Section: net
Priority: optional
Maintainer: Hardy Kestin <hardy@noris.net>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: noris-nagios-netscreen-plugins
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libnet-snmp-perl, nagios-plugins
Conflicts: nagios-netscreen-plugins
Description: Nagios plugins to query a netscreen firewall.
